Subject: Re: [PATCH] winansi: support ESC [ K (erase in line)

From: Johannes Sixt <[email-masked]>
Date: Tue, 10 Mar 2009 08:15:03 +0100

Johannes Schindelin schrieb:
> 	This fixes the last bit of msysGit issue 124 for me:
> 
> 		http://code.google.com/p/msysgit/issues/detail?id=124
> 
> 	which annoyed me one time to many today.
> 
> 	I had an earlier version which was smaller, but pretty hacky, in 
> 	that it checked if fprintf is #define'd in xwrite(), and had 
> 	special handling for that case.
> 
> 	This patch is only slightly hacky, in that it assumes that you do 
> 	not try to output something that ends in an incomplete ESC [
> 	sequence.

Good that I read mail before I start hacking. I was about to do something
about this in a moment. ;)

> To make use of it during a fetch, write() needs to be overridden, too.

No, that's not necessary with the patch that I'm about to send in a
moment. To replace write() for ANSI emulation really goes too far.

-- Hannes